<?php
require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';


if ($_REQUEST['accion']=='periodos'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from periodos");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Periodo - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------

 if ($_REQUEST['accion']=='listado1'){

    $id1=$_REQUEST['id1'];
    $id2=$_REQUEST['id2'];

    $tabla=$_REQUEST['tabla'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select codigo,descripcion from ".$tabla." order by  orden asc ;");
    $obj->disconnect();

    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>";

    while($row = $obj->fetch_assoc($query)) {

      $cadena.="<tr>";
      $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='../imagenes/boton.png' onClick='mostrar_lista(\"".$id1."\",\"".$id2."\",\"".$row['codigo']."\",\"".($row['descripcion'])."\");' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
      $cadena.="<td>".$row['codigo']."</td><td>&ensp;".($row['descripcion'])."</td></tr>";
    }
    $cadena.="</table>";

    echo $cadena;

}

//--------------------------------------


if ($_REQUEST['accion']=='grados'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
   
    if (!isset($_SESSION)) { session_start(); }
   
    $resultado=$obj->consulta("SELECT curso_asignatura_profesor.grado as codigo, grados.descripcion
                              FROM grados INNER JOIN curso_asignatura_profesor ON grados.codigo = curso_asignatura_profesor.grado
                              GROUP BY curso_asignatura_profesor.grado, grados.descripcion, curso_asignatura_profesor.profesor, grados.orden
                              HAVING curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' ORDER BY grados.orden");

    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Grado - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['grado'].'">'.$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}

//--------------------------------------


if ($_REQUEST['accion']=='grupos'){

    $grado=$_REQUEST['grado'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    if (!isset($_SESSION)) { session_start(); }
   
    $resultado=$obj->consulta("SELECT cursos.codigo, cursos.descripcion, jornadas.descripcion AS nom_jor
                              FROM jornadas INNER JOIN (cursos INNER JOIN curso_asignatura_profesor ON (cursos.grado = curso_asignatura_profesor.grado) AND (cursos.codigo = curso_asignatura_profesor.curso)) ON jornadas.codigo = cursos.jornada
                              GROUP BY cursos.codigo, cursos.descripcion, jornadas.descripcion, curso_asignatura_profesor.profesor, curso_asignatura_profesor.grado
                              HAVING curso_asignatura_profesor.profesor='".$_SESSION['profesor']."' AND curso_asignatura_profesor.grado='".$grado."'");
  
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){

        $opciones = '<option value="">     - Seleccione Grupo - </option>';

         while($row =$obj->fetch_assoc($resultado)){
               //$opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion']." - ".$row['nom_jor'].'</option>';
         }

         echo $opciones;
    }


}


//--------------------------------------


if ($_REQUEST['accion']=='activar_alumno'){

    $codigo=$_REQUEST['codigo'];
    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE alumnos_temporal SET activar='".$estado."' where codigo='".$codigo."'");

}

//--------------------------------------

if ($_REQUEST['accion']=='marcar_desmarcar'){

    $estado=$_REQUEST['estado'];

    if ($estado=='true'){
        $estado='1';
    }

    if ($estado=='false'){
        $estado='0';
    }

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $obj->consulta("UPDATE alumnos_temporal SET activar='".$estado."'");

}

//---------------------------------------

if ($_REQUEST['accion']=='listado_alumnos'){
    
    $grado=$_REQUEST['grado'];
    $grupo=$_REQUEST['grupo'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $cadena=$obj->consulta("select alumnos.codigo , CONCAT (p_apellido,' ', s_apellido,' ',p_nombre,' ',s_nombre) as Nombres
                            from alumnos inner join matriculas on alumnos.codigo = matriculas.codigo
                            where (((matriculas.grado)='".$grado."') and ((matriculas.curso)='".$grupo."') and ((matriculas.estado)='A'))
                            order by CONCAT (p_apellido,' ',s_apellido,' ',p_nombre,' ',s_nombre)");

    $n=$obj->numero_de_filas($cadena);
    $s='';

    $i=1;
    if ($n!=0){

    $s="<table align='center' style='border-collapse:collapse;' cellspacing='0' cellpadding='3' border='1' >";
    $s.="<tr ALIGN='CENTER' style='font-size:12px'> <td><b>No.</b></td>  <td><b>CODIGO</b></td>  <td><b>ALUMNOS</b></td> <td></td>";
    $s.="</tr>";

    while($row = $obj->fetch_assoc($cadena)){

        $s.="<tr>";

        $s.="<td align='center' style='font-size: 12px' width='5%'>".$i."</td>";
        $s.="<td align='center' style='font-size: 12px' width='5%'>".$row['codigo']."</td>";
        $s.="<td width='5%' align='center'><input id='".$row['codigo']."' type='checkbox' onclick='activar_alumno(".$row['codigo'].")'/></td>";

        $s.="<td width='35%' style='font-size: 12px'> &nbsp;".$row['Nombres']."</td>";

        $s.="</tr>";
        $i++;
   }
    $s.="</table>";


        //Insertamos registros en las tablas temporales

        $obj->consulta("DELETE FROM alumnos_temporal");
        $obj->consulta("insert into alumnos_temporal (codigo,grado,curso) select codigo,grado,curso from matriculas
                        where matriculas.grado='".$grado."' and matriculas.curso='".$grupo."' and matriculas.estado='A'");
        
        $obj->consulta("UPDATE alumnos_temporal SET activar='0'");



   echo $s;

   }

   $obj->disconnect();
    
}

//---------------------------------------------

if ($_POST['accion']=='grabar_faltaS_grupo'){

    $obj = new database();

    $periodo=$_POST['periodo'];
    $fecha=$_POST['fecha'];
    $asign=$_POST['asign'];    
    $falta=$_POST['falta'];

    $descripcion=($_POST['descripcion']);

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $fal = $obj->consulta("SELECT * FROM faltas WHERE codigo='".$falta."'");
    $row0 = $obj->fetch_assoc($fal);
    
    $desc = $obj->consulta("SELECT * FROM tipo_falta WHERE codigo='".$row0['tipo_falta']."'");
    $row1 = $obj->fetch_assoc($desc);
           
    $query = $obj->consulta("SELECT * FROM alumnos_temporal WHERE activar=1");
    while($row = $obj->fetch_assoc($query)){
    
       $obj->consulta("insert into reporte_faltas (codigo,fecha,falta,periodo,asignatura,descripcion,descuento,estilo) values('".$row['codigo']."','".$fecha."','".$falta."','".$periodo."','".$asign."','".$descripcion."',".$row1['descuento'].",'GRUPO')");
    }

     echo "Registros Grabados";

    }
    
?>
